summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Rampin <remi@rampin.org>2023-02-08 13:56:04 -0500
committerRemi Rampin <remi@rampin.org>2023-02-08 14:05:00 -0500
commit8aabc4b3ead388d297d2f46646e552ad5143ad0e (patch)
treeae29439a5f0a11a5228074b97f68764b6e310df2
parent295cdf7fb710f005050d9b894e4f814c96f2c068 (diff)
Remove NEXTCLOUD_INIT_LOCK
Signed-off-by: Remi Rampin <remi@rampin.org>
-rw-r--r--README.md6
-rwxr-xr-xdocker-entrypoint.sh19
2 files changed, 8 insertions, 17 deletions
diff --git a/README.md b/README.md
index 0da37051..8f891593 100644
--- a/README.md
+++ b/README.md
@@ -137,11 +137,7 @@ The install and update script is only triggered when a default command is used (
- `NEXTCLOUD_UPDATE` (default: `0`)
-If you share your html folder with multiple docker containers, you might want to avoid multiple processes updating the same shared volume
-
-- `NEXTCLOUD_INIT_LOCK` (not set by default) Set it to true to enable initialization locking. Other containers will wait for the current process to finish updating the html volume to continue.
-
-You might also want to make sure the htaccess is up to date after each container update. Especially on multiple swarm nodes as any discrepancy will make your server unusable.
+You might want to make sure the htaccess is up to date after each container update. Especially on multiple swarm nodes as any discrepancy will make your server unusable.
- `NEXTCLOUD_INIT_HTACCESS` (not set by default) Set it to true to enable run `occ maintenance:update:htaccess` after container initialization.
diff --git a/docker-entrypoint.sh b/docker-entrypoint.sh
index b02b21ef..541221ec 100755
--- a/docker-entrypoint.sh
+++ b/docker-entrypoint.sh
@@ -222,19 +222,14 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
# If another process is syncing the html folder, wait for
# it to be done, then escape initalization.
- # You need to define the NEXTCLOUD_INIT_LOCK environment variable
- if [ -n "${NEXTCLOUD_INIT_LOCK+x}" ]; then
- (
- if ! flock -n 9; then
- # If we couldn't get it immediately, show a message, then wait for real
- echo "Another process is initializing Nextcloud. Waiting..."
- flock 9
- fi
- do_install_or_upgrade
- ) 9> /var/www/html/nextcloud-init-sync.lock
- else
+ (
+ if ! flock -n 9; then
+ # If we couldn't get it immediately, show a message, then wait for real
+ echo "Another process is initializing Nextcloud. Waiting..."
+ flock 9
+ fi
do_install_or_upgrade
- fi
+ ) 9> /var/www/html/nextcloud-init-sync.lock
fi
exec "$@"